Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.rim
Interface ObjectRefType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, IdentifiableType, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ObjectRefTypeImpl

    public interface ObjectRefType

extends IdentifiableType

A representation of the model object 'Object Ref Type'. Use to reference an Object by its id. Specifies the id attribute of the object as its id attribute. id attribute in ObjectAttributes is exactly the same syntax and semantics as id attribute in RegistryObject.

The following features are supported:

- `Create Replica`

See Also:
  `RimPackage.getObjectRefType()`

Method Summary
`boolean` | `isCreateReplica()` Returns the value of the 'Create Replica' attribute.
`boolean` | `isSetCreateReplica()` Returns whether the value of the '`Create Replica`' attribute is set.
`void` | `setCreateReplica(boolean value)` Sets the value of the '`Create Replica`' attribute.
`void` | `unsetCreateReplica()` Unsets the value of the '`Create Replica`' attribute.

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.rim.IdentifiableType
`getHome, getId, getSlot, setHome, setId`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isCreateReplica

    boolean isCreateReplica()

  Returns the value of the 'Create Replica' attribute. The default value is `"false"`.

  If the meaning of the 'Create Replica' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Create Replica' attribute.
  See Also:
    `isSetCreateReplica()`, `unsetCreateReplica()`, `setCreateReplica(boolean)`, `RimPackage.getObjectRefType_CreateReplica()`

### setCreateReplica

    void setCreateReplica(boolean value)

  Sets the value of the '`Create Replica`' attribute.

  Parameters:
    `value` - the new value of the 'Create Replica' attribute.
  See Also:
    `isSetCreateReplica()`, `unsetCreateReplica()`, `isCreateReplica()`

### unsetCreateReplica

    void unsetCreateReplica()

  Unsets the value of the '`Create Replica`' attribute.

  See Also:
    `isSetCreateReplica()`, `isCreateReplica()`, `setCreateReplica(boolean)`

### isSetCreateReplica

    boolean isSetCreateReplica()

  Returns whether the value of the '`Create Replica`' attribute is set.

  Returns:
    whether the value of the 'Create Replica' attribute is set.
  See Also:
    `unsetCreateReplica()`, `isCreateReplica()`, `setCreateReplica(boolean)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD